## ros-humble-launch-ros 0.19.5

=== debian/changelog ===
ros-humble-launch-ros (0.19.5-2jammy) jammy; urgency=high

  * Run condition for composable nodes (#311 <https://github.com/ros2/launch_ros/issues/311>) (#363 <https://github.com/ros2/launch_ros/issues/363>)
  * Fix normalize_parameters_dict for multiple nodes in the same namespace (backport #347 <https://github.com/ros2/launch_ros/issues/347>) (#350 <https://github.com/ros2/launch_ros/issues/350>)
    Co-authored-by: Alexey Merzlyakov <mailto:60094858+AlexeyMerzlyakov@users.noreply.github.com>
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 17 Jul 2023 00:00:00 -0000

ros-humble-launch-ros (0.19.4-2jammy) jammy; urgency=high

  * fix: return text value to avoid exception (#338 <https://github.com/ros2/launch_ros/issues/338>) (#340 <https://github.com/ros2/launch_ros/issues/340>)
  * Contributors: Daisuke Nishimatsu

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 10 Jan 2023 00:00:00 -0000

ros-humble-launch-ros (0.19.3-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 17 May 2022 00:00:00 -0000

ros-humble-launch-ros (0.19.2-2jammy) jammy; urgency=high

  * Fix importlib_metadata warning on Python 3.10. (#307 <https://github.com/ros2/launch_ros/issues/307>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Fri, 08 Apr 2022 00:00:00 -0000

ros-humble-launch-ros (0.19.1-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-humble-launch-ros (0.19.0-2jammy) jammy; urgency=high

  * Use correct namespace when evaluating parameter files for composable nodes (#303 <https://github.com/ros2/launch_ros/issues/303>)
  * Handle empty strings when evaluating parameters (#300 <https://github.com/ros2/launch_ros/issues/300>)
  * Contributors: Jacob Perron

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Thu, 24 Mar 2022 00:00:00 -0000

ros-humble-launch-ros (0.18.0-2jammy) jammy; urgency=high

  * Add parameter substitution (#297 <https://github.com/ros2/launch_ros/issues/297>)
  * Contributors: Kenji Miyake

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-humble-launch-ros (0.17.0-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 14 Dec 2021 00:00:00 -0000

ros-humble-launch-ros (0.16.0-2jammy) jammy; urgency=high

  * fix bug in warning when an entry point fails to load (#243 <https://github.com/ros2/launch_ros/issues/243>)
  * More Helpful Error Messages (#275 <https://github.com/ros2/launch_ros/issues/275>)
  * Update maintainers in setup.py (#287 <https://github.com/ros2/launch_ros/issues/287>)
  * Set parameters from file for composable nodes (#281 <https://github.com/ros2/launch_ros/issues/281>)
  * Update package maintainers (#284 <https://github.com/ros2/launch_ros/issues/284>)
  * Update node name matcher (#282 <https://github.com/ros2/launch_ros/issues/282>)
  * Support both parameter file configurations for composable nodes (#259 <https://github.com/ros2/launch_ros/issues/259>)
  * Contributors: Aditya Pande, Audrow Nash, David V. Lu!!, Jacob Perron, Michel Hidalgo, Rebecca Butler, William Woodall

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 29 Nov 2021 00:00:00 -0000

ros-humble-launch-ros (0.15.0-2jammy) jammy; urgency=high

  * Handle substitutions in RosTimer (#264 <https://github.com/ros2/launch_ros/issues/264>)
  * Add SetParametersFromFile action (#260 <https://github.com/ros2/launch_ros/issues/260>)
  * Properly support ros_args attribute through launch frontends (#253 <https://github.com/ros2/launch_ros/issues/253>)
  * Add 'push_ros_namespace' alias to 'push-ros-namespace' (#250 <https://github.com/ros2/launch_ros/issues/250>)
  * Add ros_arguments option to Node action (#249 <https://github.com/ros2/launch_ros/issues/249>)
  * Refactor RosTimer to extend TimerAction (#248 <https://github.com/ros2/launch_ros/issues/248>)
  * ROS Timer Action (#244 <https://github.com/ros2/launch_ros/issues/244>)
  * Support container in frontend (#235 <https://github.com/ros2/launch_ros/issues/235>)
  * Fix a small typo in a comment (#237 <https://github.com/ros2/launch_ros/issues/237>)
  * Better document parameter handling in Node (#234 <https://github.com/ros2/launch_ros/issues/234>)
  * Contributors: Aditya Pande, Chris Lalancette, Christophe Bedard, Felix Divo, Jacob Perron, Kenji Miyake, Rebecca Butler

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Thu, 07 Oct 2021 00:00:00 -0000

ros-humble-launch-ros (0.14.2-2jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 26 Apr 2021 00:00:00 -0000

ros-humble-launch-ros (0.14.1-2jammy) jammy; urgency=high

  * Support Python 3.8 importlib.metadata, declare dependency (#229 <https://github.com/ros2/launch_ros/issues/229>)
  * Contributors: Scott K Logan

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 12 Apr 2021 00:00:00 -0000

ros-humble-launch-ros (0.14.0-2jammy) jammy; urgency=high

  * Add options extensions to ros2launch and extensibility to the node action (#216 <https://github.com/ros2/launch_ros/issues/216>)
  * Contributors: Geoffrey Biggs

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-humble-launch-ros (0.13.0-2jammy) jammy; urgency=high

  * Make sure ParameterFile __del__ works without exception. (#212 <https://github.com/ros2/launch_ros/issues/212>)
  * Contributors: Chris Lalancette

 -- Aditya Pande <aditya.pande@osrfoundation.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-humble-launch-ros (0.12.0-2jammy) jammy; urgency=high

  * Fix docblock in LoadComposableNodes (#207 <https://github.com/ros2/launch_ros/issues/207>)
  * Validate complex attributes of 'node' action (#198 <https://github.com/ros2/launch_ros/issues/198>)
  * Node.__init__() executable and ComposableNode.__init__() plugin arguments aren't optional (#197 <https://github.com/ros2/launch_ros/issues/197>)

