=== debian/control ===
Source: ros-humble-launch-ros
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), python3-importlib-metadata, python3-pytest <!nocheck>, python3-yaml, ros-humble-ament-copyright <!nocheck>, ros-humble-ament-flake8 <!nocheck>, ros-humble-ament-index-python, ros-humble-ament-pep257 <!nocheck>, ros-humble-composition-interfaces, ros-humble-launch, ros-humble-lifecycle-msgs, ros-humble-osrf-pycommon, ros-humble-rclpy, ros-humble-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-launch-ros
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-importlib-metadata, python3-yaml, ros-humble-ament-index-python, ros-humble-composition-interfaces, ros-humble-launch, ros-humble-lifecycle-msgs, ros-humble-osrf-pycommon, ros-humble-rclpy, ros-humble-ros-workspace
Description: ROS specific extensions to the launch tool.
